// MSAppleEvents.h
//
// Original version by Jon Lansdell and Nigel Humphreys.
// 4.0 and 3.1 updates by Greg Sutton.
// Apple Computer Inc 1996, all rights reserved.

#ifndef __MSAPPLEEVENTS__
#define __MSAPPLEEVENTS__

#include <Types.h>
#include <Quickdraw.h>
#include <Packages.h>
#include <GestaltEqu.h>
#include <Editions.h>

#include "MSToken.h"

#define 	noRefCon 	-1

void 			InitAppleEvents(void);
void			DoAppleEvent(EventRecord theEvent);

pascal OSErr DoOpenApp(const AppleEvent *message,const AppleEvent *reply,long refcon);
pascal OSErr DoOpenDocument( const AppleEvent *theEvent, const AppleEvent *theReply, long refcon );
pascal OSErr MyQuit(const AppleEvent *message,const AppleEvent *reply,long refcon);	
pascal OSErr DoPrintDocuments(const AppleEvent *message, AppleEvent *reply, long refcon);


#endif