// MSASSubroutines.h
//
// Original version by Jon Lansdell and Nigel Humphreys.
// 4.0 and 3.1 updates by Greg Sutton.
// Human Interface changes and GX Printing by Don Swatman
// Apple Computer Inc 1996, all rights reserved.

#pragma once

#ifndef __MSGLOBALS__
#include "MSGlobals.h"
#endif

#include <OSA.h>


OSErr	GetVolumeAndDirectory(void);
OSErr	FSSpecLaunchApplication(const FSSpec *fileSpec,ProcessSerialNumber *PSN);
void 	SetUpScripts( void );

OSErr	LoadScriptFromResFile( FSSpec *theSpec, short theResID, OSAID *theScriptID );
OSErr	LoadScriptFromResFileRef( short theRefNum, short theResID, OSAID *theScriptID );
OSErr	StoreScriptToResFile( FSSpec *theFileRef, short theResID,
								OSAID theScriptID, StringPtr theResName );
OSErr	StoreScriptToResFileRef( short theFileRef, short theResID,
								OSAID theScriptID, StringPtr theResName );

OSErr 	CleanUpAEScripts(void);
OSErr	ExecuteScript1(DPtr theDoc);
OSErr	ExecuteScript2(DPtr theDoc);
OSErr	ExecuteScript3(DPtr theDoc);
OSErr	ExecuteScript4(DPtr theDoc);

OSErr	GetTextDescFromReply(AEDesc *aReply, AEDesc *textDesc);
OSErr	GetSelection(AEDesc *textDesc);
OSErr	SetSelection(AEDesc *textDesc);

void	EnableAEScriptItems(Boolean fEnable);

pascal Boolean	IdleProc(EventRecord *myEvent, long *sleep, RgnHandle *mouseRgn);
