// MSResultWind.h
//
// Written by Don Swatman and Greg Sutton.
// Apple Computer Inc 1996, all rights reserved.
	

#ifndef __MSRESULTWIND__
#define __MSRESULTWIND__

#include "MSGlobals.h"

OSErr		OpenResultWind( void );
void		CloseResultWind( WindowPtr theWind );
WindowPtr	GetResultsWindPtr( void );
DPtr 		GetResultsDoc( void );
Boolean		IsThereAResultWind( void );
Boolean		IsThisResultWind( WindowPtr theWind );

OSErr		DisplayDescResult( WindowPtr theWindow,
								AEDesc* theTextDesc, DPtr theDoc, OSErr theErr );
OSErr		DisplayOSAIDResult( WindowPtr theWindow,
								OSAID theOSAID, DPtr theDoc, OSErr theErr );
OSAError	DisplayOSAScriptError( DPtr theDoc );

#endif